<!DOCTYPE html>
<html>

    <head>

        <meta charset="utf-8" />
        
        <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate"/>
	<meta http-equiv="Pragma" content="no-cache"/>
	<meta http-equiv="Expires" content="0"/>
    
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="author"   content="Dirección de Modernización de la Gestión y Gobierno Electrónico" />
        <meta name="viewport"
            content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

        <style>
            html,
            body {
                width: 100%;
                height: 100%;
                margin: 0;
                padding: 0;
            }
        </style>
        <style>
            #map {
                height: 100%;
                width: 100vw;
                position: absolute;
                top: 0;
                bottom: 0;
                right: 0;
                left: 0;
            }
        </style>

        <title>Gobierno de la Provincia de Misiones - Recursos para Gestión de Emergencias Ambientales</title>

        <link rel="shortcut icon" type="image/x-icon" href="img/favicon.ico" />
        <link rel="stylesheet" type="text/css" href="./css/leaflet.css" />
        <link rel="stylesheet" type="text/css" href="./css/leaflet-openweathermap.css" />
        <link rel="stylesheet" type="text/css" href="./css/Control.Coordinates.css" />
        <link rel="stylesheet" type="text/css" href="./css/leaflet.groupedlayercontrol.css" />
	<link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/gh/mwasil/Leaflet.Rainviewer/leaflet.rainviewer.css"/>
	
    </head>

    <body>

        <script type="text/javascript" src="./js/leaflet.js"></script>
        <script type="text/javascript" src="./js/jquery-3.5.1.js"></script> 
        <script type="text/javascript" src="./js/leaflet-openweathermap.js"></script>
        <script type="text/javascript" src="./js/Control.Coordinates.js"></script>
        <script type="text/javascript" src="./js/leaflet.groupedlayercontrol.js"></script>
	<script type="text/javascript" src="https://cdn.jsdelivr.net/gh/mwasil/Leaflet.Rainviewer/leaflet.rainviewer.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/papaparse@5.3.0/papaparse.min.js"></script>

        <div id='map'></div>

        <script>


            // Clima en las ciudades
            ciudades = L.OWM.current({
                intervall: 30,
                imageLoadingUrl: 'img/cargando.gif',
                lang: 'es',
                minZoom: 5,
                appId: '32a020e350d198b03a3acfbcdd355310'
            });


            // Para poder visualizar el nombre de las areas
            function onEachFeature(feature, layer) {
                var popupContent = '<b>' + feature.properties.name + '</b>';

                if (feature.properties && feature.properties.popupContent) {
                    popupContent += feature.properties.popupContent;
                }

                layer.bindPopup(popupContent);
            }
            
            
            function getUrlVars() {
    		var vars = {};
    		var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m,key,value) {
        vars[key] = value;
    		});
    		return vars;
	    }
            

// Carga el GeoJSON desde un archivo externo y le asigna un icono al marcador
//****************************************************************************
 
 // Carga de areas
 // --------------
 
var reserva = L.layerGroup();
var EstiloReserva = {
    "color": "#00ff00",
    "weight": 1,
    "opacity": 0.6
};
$.getJSON("datos/reservas.geojson", function(data) {
    L.geoJson(data, {
        style: EstiloReserva,
        onEachFeature: onEachFeature
    }).addTo(reserva);
});


 var canaveral = L.layerGroup();
 var EstiloCanaveral = {
     "color": "#5bdd29",
     "weight": 1,
     "opacity": 0.5
 };
 $.getJSON("datos/canaverales.geojson", function(data) {
     L.geoJson(data, {
         style: EstiloCanaveral
     }).addTo(canaveral);
 });


 var capuera = L.layerGroup();
 var EstiloCapuera = {
     "color": "#fbe705",
     "weight": 1,
     "opacity": 0.4
 };
 $.getJSON("datos/capueras.geojson", function(data) {
     L.geoJson(data, {
         style: EstiloCapuera
     }).addTo(capuera);
 });


 var arroyo = L.layerGroup();
 var EstiloArroyo = {
     "color": "#2332ef",
     "weight": 4,
     "opacity": 0.8
 };
 $.getJSON("datos/RiosArroyos.min.geojson", function(data) {
     L.geoJson(data, {
         style: EstiloArroyo,
         onEachFeature: function (feature, layer) {
         var nombre = feature.properties.name;
         if (typeof nombre === 'undefined') {
    		var nombre = "Sin nombre";
	}
    layer.bindPopup('<b>'+nombre+'</b>');
  }
     }).addTo(arroyo);
 });


 var estanque = L.layerGroup();
 var EstiloEstanque = {
     "color": "#2332ef",
     "weight": 4,
     "opacity": 0.8
 };
 $.getJSON("datos/estanques.min.geojson", function(data) {
     L.geoJson(data, {
         style: EstiloEstanque,
         onEachFeature: onEachFeature
     }).addTo(estanque);
 });


 var urbana = L.layerGroup();
 var EstiloUrbana = {
     "color": "#A9A9A9",
     "weight": 2,
     "opacity": 0.4
 };
 $.getJSON("datos/zonas-urbanas.geojson", function(data) {
     L.geoJson(data, {
         style: EstiloUrbana,
         onEachFeature: onEachFeature
     }).addTo(urbana);
 });



 // Carga de nodos
 // --------------


 // Fuentes NASA VIIRS
 var IncendiosVIIRS = L.layerGroup();
  $.getJSON("datos/VIIRS.geojson", function(data) {
     var IconoIncendio = L.icon({
         iconUrl: 'img/icono-fuego.png',
         iconSize: [30, 30]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoIncendio
             });
             marker.bindPopup('Fuente:<b>VIIRS 24h</b><br/>'+
                   'Confianza : Alta' + '<br/>' +                          
                   'Latitud : ' + feature.geometry.coordinates[1]+ '<br/>' +
                   'Longitud: ' + feature.geometry.coordinates[0] + '<br/>' +
                   'Fecha:    ' + feature.properties.acq_date);
             return marker;
         }
     }).addTo(IncendiosVIIRS);
 });
 
 
 
 // Fuentes NASA MODIS
 var IncendiosMODIS = L.layerGroup();
  $.getJSON("datos/MODIS.geojson", function(data) {
     var IconoIncendio = L.icon({
         iconUrl: 'img/icono-fuego.png',
         iconSize: [30, 30]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoIncendio
             });
             marker.bindPopup('Fuente:<b>MODIS 24h</b><br/>'+
                   'Confianza : ' + feature.properties.confidence + '<br/>' +             
                   'Latitud  : ' + feature.geometry.coordinates[1] + '<br/>' +
                   'Longitud : ' + feature.geometry.coordinates[0] + '<br/>' +
                   'Fecha:    ' + feature.properties.acq_date);
             return marker;
         }
     }).addTo(IncendiosMODIS);
 });
 

//------------------------------------------------------------------------


 // Pistas de aterrizaje
 var pista = L.layerGroup();
 $.getJSON("datos/pistas.geojson", function(data) {
     var IconoPista = L.icon({
         iconUrl: 'img/icono-pista.png',
         iconSize: [30, 30]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoPista
             });
             marker.bindPopup('<b>' + feature.properties.Nombre + '</b><br/>' +
                 'Estado: ' + feature.properties.Estado + '<br/>' +
                 'Longitud: ' + feature.properties.Longitud + '<br/>' +
                 'Ancho: ' + feature.properties.Ancho + '<br/>' + 'Superficie: ' + feature.properties.Superficie + '<br/>' + 
                 'Altura snm: ' + feature.properties.Altura + '<br/>' +
                 'ICAO:' + feature.properties.ICAO + '<br/>' +
                 'IATA:' + feature.properties.IATA + '<br/>' +
                 'Referencia:' + feature.properties.Referencia);
             return marker;
         }
     }).addTo(pista);
 });


 // Hidrantes
 var hidrante = L.layerGroup();
 $.getJSON("datos/hidrantes.geojson", function(data) {
     var IconoHidrante = L.icon({
         iconUrl: 'img/icono-hidrante.png',
         iconSize: [30, 30]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoHidrante
             });
             marker.bindPopup('<b>Hidrante</b><br/>' +
                 'Dirección: ' + feature.properties.calle + ' ' + feature.properties.numero + '<br/>' +
                 'Zona: ' + feature.properties.zona + '<br/>' +
                 'Referencia: ' + feature.properties.referencia);
             return marker;
         }
     }).addTo(hidrante);
 });


 // Cisternas
 var cisterna = L.layerGroup();
 $.getJSON("datos/cisternas.geojson", function(data) {
     var IconoCisterna = L.icon({
         iconUrl: 'img/icono-cisterna.png',
         iconSize: [30, 30]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoCisterna
             });
             marker.bindPopup('<b>Cisterna</b><br/>' +
                 'Operador: ' + feature.properties
                 .operator + '<br/>' +
                 'Descripción: ' + feature.properties
                 .description);
             return marker;
         }
     }).addTo(cisterna);
 });


 // Mojones de progresivas en las Rutas
 var progresiva = L.layerGroup();
 $.getJSON("datos/progresivas.geojson", function(data) {
     var IconoProgresiva = L.icon({
         iconUrl: 'img/icono-mojon.png',
         iconSize: [15, 15]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoProgresiva
             });
             marker.bindPopup('<b>Progresiva</b><br/>' +
                 'Kilómetro: ' + feature.properties.distance);
             return marker;
         }
     }).addTo(progresiva);
 });
 
  
 // Mojones de progresivas en el Río Parana
 var progresivaparana = L.layerGroup();
 $.getJSON("datos/progresivas-parana.geojson", function(data) {
     var IconoProgresiva = L.icon({
         iconUrl: 'img/icono-mojon.png',
         iconSize: [15, 15]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoProgresiva
             });
             marker.bindPopup('<b>Progresiva</b><br/>' +
                 'Kilómetro: ' + feature.properties.distance);
             return marker;
         }
     }).addTo(progresivaparana);
 }); 
 
 // Teléfonos SOS en las Rutas
 var telefono_sos = L.layerGroup();
 $.getJSON("datos/telefonos-sos.geojson", function(data) {
     var IconoTelefono = L.icon({
         iconUrl: 'img/icono-telefono.png',
         iconSize: [15, 15]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoTelefono
             });
             marker.bindPopup('<b>Teléfono SOS</b>');
             return marker;
         }
     }).addTo(telefono_sos);
 });



  // Estaciones de servicio
 var combustible = L.layerGroup();
 $.getJSON("datos/combustible.geojson", function(data) {
     var IconoCombustible = L.icon({
         iconUrl: 'img/icono-combustible.png',
         iconSize: [20, 20]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoCombustible
             });
             marker.bindPopup('<b>' + feature.properties.Marca + '</b><br/>' +
                 'Dirección: ' + feature.properties.Calle + ' ' + feature.properties.Numero + '<br/>' +
                 'Localidad: ' + feature.properties.Localidad + '<br/>' +
                 'Operador: ' + feature.properties.Operador + '<br/>' +
                 'Teléfono: <a href="tel:' + feature.properties.Telefono + '"><b>' + feature.properties.Telefono + '</b></a><br/>' +
                 'email: <a href="mailto:' + feature.properties.email + '"><b>' + feature.properties.email + '</b></a><br/>'
                 );

             return marker;
         }
     }).addTo(combustible);
 });

 // Aserraderos  
 var aserradero = L.layerGroup();
 $.getJSON("datos/aserraderos.geojson", function(data) {
     var IconoAserradero = L.icon({
         iconUrl: 'img/icono-aserradero.png',
         iconSize: [30, 30]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoAserradero
             });
             marker.bindPopup('<b>' + feature.properties
                 .Nombre + '</b><br/>' +
                 'Dirección: ' + feature.properties
                 .Calle + ' ' + feature.properties
                 .Numero + '<br/>' +
                 'Localidad: ' + feature.properties
                 .Localidad + '<br/>' +
                 'Teléfono: <a href="tel:' + feature
                 .properties.Telefono + '"><b>' +
                 feature.properties.Telefono +
                 '</b></a><br/>' +
                 'email: <a href="mailto:' + feature
                 .properties.email + '"><b>' + feature
                 .properties.email + '</b></a><br/>');
             return marker;
         }
     }).addTo(aserradero);
 });


 // Municipalidades
 var municipalidad = L.layerGroup();
 $.getJSON("datos/municipalidades.geojson", function(data) {
     var IconoMunicipalidad = L.icon({
         iconUrl: 'img/icono-municipalidad.png',
         iconSize: [30, 30]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoMunicipalidad
             });
             marker.bindPopup('<b>' + feature.properties.Nombre + '</b><br/>' +
                 'Dirección: ' + feature.properties.Calle + ' ' + feature.properties.Numero + '<br/>' +
                 'Localidad: ' + feature.properties.Localidad + '<br/>' +
                 'Teléfono: <a href="tel:' + feature.properties.Telefono + '"><b>' + feature.properties.Telefono +
                 '</b></a><br/>' +
                 'email: <a href="mailto:' + feature.properties.email + '"><b>' + feature
                 .properties.email + '</b></a><br/>' +
                 'Ambulancias: ' + feature.properties.ambulancias                                   
                 );
             return marker;
         }
     }).addTo(municipalidad);
 });

 // Comunidades aborígenes
 var comunidad = L.layerGroup();
 $.getJSON("datos/comunidades.geojson", function(data) {
     var IconoComunidad = L.icon({
         iconUrl: 'img/icono-comunidad.png',
         iconSize: [30, 30]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoComunidad
             });
             marker.bindPopup('<b>' + feature.properties
                 .name + '</b><br/>' +
                 'Habitantes: ' + feature.properties
                 .population);
             return marker;
         }
     }).addTo(comunidad);
 });


// Hospitales
//-----------

var hospital = L.layerGroup();
 $.getJSON("datos/hospitales.geojson", function(data) {
     var IconoHospital = L.icon({
         iconUrl: 'img/icono-hospital.png',
         iconSize: [30, 30]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoHospital
             });
             
// invertir las coordenadas del Hospital desde el GeoJSON 
var coordenadas = feature.geometry.coordinates[1] + ',' + feature.geometry.coordinates[0];
var GeoLat = feature.geometry.coordinates[1];
var GeoLon = feature.geometry.coordinates[0];

// Obtener la geo ubicación actual del navegador
var LatNav = null; 
var LonNav = null;

        $(document).ready(function() {
            localizame(); /*Cuando cargue la página, cargamos nuestra posición*/   
        });
        
     function localizame() {
           navigator.geolocation.getCurrentPosition(coordenadas);
     }
     
     function coordenadas(position){
           var LatNav = position.coords.latitude;
           var LonNAv = position.coords.longitude;
     }



var EsUnCelular = navigator.userAgent.match(/(iPhone|iPod|blackberry|android 0.5|htc|lg|midp|mmp|mobile|nokia|opera mini|palm|pocket|psp|sgh|smartphone|symbian|treo mini|Playstation Portable|SonyEricsson|Samsung|MobileExplorer|PalmSource|Benq|Windows Phone|Windows Mobile|IEMobile|Windows CE|Nintendo Wii)/i);
     
if(EsUnCelular) {
// Si la consulta es en un celular, preparar la URL con el protocolo geo para que lo capture el navegador
 var ComoSeLlega = '<a href="geo:' + GeoLat + ', ' +  GeoLon + '?z=19' +
                   '"><b>' + GeoLat + ', ' +  GeoLon + '</b></a><br/>' ; 

}else{
// Si la consulta es en una computadora, preparar la URL con el protocolo http y enviarlo a OpenRouteService
// https://maps.openrouteservice.org/directions?n1=-27.13248&n2=-55.003168&n3=9&a=-27.370136,-55.89672,-26.618691,-54.107825&b=0&c=0&k1=es&k2=km
var ComoSeLlega = '<a target="new" href="https://maps.openrouteservice.org/directions?n1=' + 
                   GeoLat + '&n2=' + GeoLon + '&n3=10&a=' +
                   LatNav + ',' +  LonNav + ',' +  GeoLat + ',' +  GeoLon + 
                   '&b=0&c=0&k1=es&k2=km' + 
                   '"><b>' + GeoLat + ', ' +  GeoLon + '</b></a><br/>' ;   
}
    
             marker.bindPopup('<b>' + feature.properties.Nombre + '</b><br/>' +
                 'Dirección: ' + feature.properties.Calle + ' ' + feature.properties.Numero + '<br/>' +
                 'Localidad: ' + feature.properties.Localidad + '<br/>' +
                 'Teléfono: <a href="tel:' + feature.properties.Telefono + '"><b>' + feature.properties.Telefono + '</b></a><br/>' +
                 'email: <a href="mailto:' + feature.properties.email + '"><b>' + feature.properties.email + '</b></a><br/>' +
                 'Ambulancias: ' + feature.properties.ambulancias + '<br/>'+  
                 'Cómo llegar:' + ComoSeLlega  
                    
                  );
             return marker;
         }
     }).addTo(hospital);
 });


 // CAPS
 var caps = L.layerGroup();
 $.getJSON("datos/caps.geojson", function(data) {
     var IconoCaps = L.icon({
         iconUrl: 'img/icono-caps.png',
         iconSize: [30, 30]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoCaps
             });
             marker.bindPopup('<b>' + feature.properties.Nombre + '</b><br/>' +
                 'Dirección: ' + feature.properties.Calle + ' ' + feature.properties.Numero + ' ' + feature.properties.Kilometro + '<br/>' + 
                 'Localidad: ' + feature.properties.Localidad + '<br/>' +
                 'Teléfono: <a href="tel:' + feature.properties.Telefono + '"><b>' + feature.properties.Telefono +
                 '</b></a><br/>' +
                 'email: <a href="mailto:' + feature.properties.email + '"><b>' + feature.properties.email + '</b></a><br/>' +
                 'Ambulancias: ' + feature.properties.ambulancias + '<br/>'                   
                 );
             return marker;
         }
     }).addTo(caps);
 });



 // Ambulancias
 var ambulancia = L.layerGroup();
 $.getJSON("datos/ambulancias.geojson", function(data) {
     var IconoAmbulancia = L.icon({
         iconUrl: 'img/icono-ambulancia.png',
         iconSize: [30, 30]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoAmbulancia
             });
             marker.bindPopup('<b>' + feature.properties.Nombre + '</b><br/>' +
                 'Dirección: ' + feature.properties.Calle + ' ' + feature.properties.Numero + '<br/>' +
                 'Localidad: ' + feature.properties.Localidad + '<br/>' +
                 'Teléfono: <a href="tel:' + feature.properties.Telefono + '"><b>' + feature.properties.Telefono +
                 '</b></a><br/>' +
                 'Ambulancias: ' + feature.properties.ambulancias + '<br/>'                   
                 );
             return marker;
         }
     }).addTo(ambulancia);
 });

 
 
  
 // Antenas
 var antena = L.layerGroup();
 $.getJSON("datos/antenas.geojson", function(data) {
     var IconoAntena = L.icon({
         iconUrl: 'img/icono-antena.png',
         iconSize: [30, 30]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoAntena
             });
             marker.bindPopup(
                 '<b>Antena de Comunicaciones</b><br/>' +
                 'Operador: ' + feature.properties
                 .operator + '<br/>' +
                 'Descripción: ' + feature.properties
                 .description + '<br/>' +
                 'Altura snm: ' + feature.properties
                 .ele + '<br/>' +
                 'Longitud:' + feature.properties.lenght
                 );
             return marker;
         }
     }).addTo(antena);
 });



 // Policía
 var policia = L.layerGroup();
 $.getJSON("datos/policia.geojson", function(data) {
     var IconoPolicia = L.icon({
         iconUrl: 'img/icono-policia.png',
         iconSize: [30, 30]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoPolicia
             });
             
// Armado de las líneas para el PopUp
// -----------------------------------
// Calle y numero
var calle = feature.properties["addr:street"];
if (typeof calle === 'undefined') {
    var calle = "";
}
var numero = feature.properties["addr:housenumber"];
if (typeof numero === 'undefined') {
    var numero = "";
}
var kilometro = feature.properties["addr:milestone"];
if (typeof kilometro === 'undefined') {
    var kilometro = "";
}

// Localidad
var localidad = feature.properties["addr:city"];
if (typeof localidad === 'undefined') {
    var localidad = "";
}


// Telefono
var telefono = feature.properties.phone;
if (typeof telefono === 'undefined') {
    var telefono = "";
}else{
    var telefono = 'Teléfono: <a target=_blank  href="tel:' + telefono + '"><b>' + telefono + '</b></a><br/>';
}

// e-mail
var email = feature.properties.email;
if (typeof email === 'undefined') {
    var email = "";
}else{
    var email = '<a target=_blank  href="mailto:' + feature.properties.email + '"><b>email</b></a><br/>';
}

             marker.bindPopup('<b>' + feature.properties.name + '</b><br/>' +
                 'Dirección: ' + calle + ' ' + numero + ' ' + kilometro + '<br/>' +
                 'Localidad: ' + localidad + '<br/>' +
                 telefono +
                 email
                 );
             return marker;
         }
     }).addTo(policia);
 });



 //  Bomberos de la policía
 var bomberospoli = L.layerGroup();
 $.getJSON("datos/bomberos-policia.geojson", function(data) {
     var IconoBomberosPolicia = L.icon({
         iconUrl: 'img/icono-bomberos-policia.png',
         iconSize: [30, 30]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoBomberosPolicia
             });
             marker.bindPopup('<b>' + feature.properties
                 .Nombre + '</b><br/>' +
                 'Localidad: ' + feature.properties
                 .Localidad + '<br/>' +
                 'Calle: ' + feature.properties.Calle +
                 '<br/>' +
                 'Número: ' + feature.properties
                 .Numero + '<br/>' +
                 'Teléfono: <a href="tel:' + feature
                 .properties.Telefono + '"><b>' +
                 feature.properties.Telefono +
                 '</b></a><br/>' +
                 'email: <a href="mailto:' + feature
                 .properties.email + '"><b>' + feature
                 .properties.email + '</b></a><br/>' +
                 'Personal Disponible : ' + feature.properties.PersonalDisponible +
                 '<br/>' +
                 'Capacidad Litros : ' + feature.properties.CapacidadLitros+
                 '<br/>' +                 
                 'Rozón : ' + feature.properties.Rozon +
                 '<br/>' +
                 'Pala F : ' + feature.properties
                 .PalaF + '<br/>' +
                 'Rastillo Cegador : ' + feature
                 .properties.RastilloCegador + '<br/>' +
                 'Guachas : ' + feature.properties
                 .Guachas + '<br/>' +
                 'Motobomba : ' + feature.properties
                 .Motobomba + '<br/>' +
                 'Mangas : ' + feature.properties
                 .Mangas + '<br/>' +
                 'Pulaski : ' + feature.properties
                 .Pulaski + '<br/>' +
                 'Traje Forestal : ' + feature
                 .properties.TrajeForestal + '<br/>' +
                 'Overol : ' + feature.properties
                 .Overol + '<br/>' +
                 'MacLeod : ' + feature.properties
                 .MacLeod + '<br/>' +
                 'Lanzas : ' + feature.properties
                 .Lanzas + '<br/>' +
                 'Machete : ' + feature.properties
                 .Machete + '<br/>' +
                 'Hachas : ' + feature.properties
                 .Hachas + '<br/>' +
                 'Azadas : ' + feature.properties
                 .Azadas + '<br/>' +
                 'Motosierra : ' + feature.properties
                 .Motosierra + '<br/>' +
                 'Rastillo Escobeta : ' + feature
                 .properties.RastilloEscobeta +
                 '<br/>' +
                 'Tanque Colapsable : ' + feature
                 .properties.TanqueColapsable +
                 '<br/>' +
                 'Antorchas de Goteo : ' + feature
                 .properties.AntorchasGoteo + '<br/>' +
                 'Kit Forestal Raptor : ' + feature
                 .properties.KitForestalRaptor +
                 '<br/>' +
                 'Motoguadaña : ' + feature.properties
                 .Motoguadana + '<br/>' +
                 'Bate Fuego : ' + feature.properties
                 .BateFuego);
             return marker;
         }
     }).addTo(bomberospoli);
 });


 // Bomberos voluntarios  
 var bomberosvol = L.layerGroup();
 $.getJSON("datos/bomberos-voluntarios.geojson", function(data) {
     var IconoBomberosVoluntarios = L.icon({
         iconUrl: 'img/icono-bomberos-voluntarios.png',
         iconSize: [30, 30]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoBomberosVoluntarios
             });
             marker.bindPopup('<b>' + feature.properties
                 .Nombre + '</b><br/>' +
                 'Localidad: ' + feature.properties
                 .Localidad + '<br/>' +
                 'Calle: ' + feature.properties.Calle +
                 '<br/>' +
                 'Número: ' + feature.properties
                 .Numero + '<br/>' +
                 'Teléfono: <a href="tel:' + feature
                 .properties.Telefono + '"><b>' +
                 feature.properties.Telefono +
                 '</b></a><br/>' +
                 'email: <a href="mailto:' + feature
                 .properties.email + '"><b>' + feature
                 .properties.email + '</b></a><br/>' +
                 'Personal Disponible : ' + feature.properties.PersonalDisponible +
                 '<br/>' +
                 'Rozón : ' + feature.properties.Rozon +
                 '<br/>' +
                 'Pala F : ' + feature.properties
                 .PalaF + '<br/>' +
                 'Rastillo Cegador : ' + feature
                 .properties.RastilloCegador + '<br/>' +
                 'Guachas : ' + feature.properties
                 .Guachas + '<br/>' +
                 'Motobomba : ' + feature.properties
                 .Motobomba + '<br/>' +
                 'Mangas : ' + feature.properties
                 .Mangas + '<br/>' +
                 'Pulaski : ' + feature.properties
                 .Pulaski + '<br/>' +
                 'Traje Forestal : ' + feature
                 .properties.TrajeForestal + '<br/>' +
                 'Overol : ' + feature.properties
                 .Overol + '<br/>' +
                 'MacLeod : ' + feature.properties
                 .MacLeod + '<br/>' +
                 'Lanzas : ' + feature.properties
                 .Lanzas + '<br/>' +
                 'Machete : ' + feature.properties
                 .Machete + '<br/>' +
                 'Hachas : ' + feature.properties
                 .Hachas + '<br/>' +
                 'Azadas : ' + feature.properties
                 .Azadas + '<br/>' +
                 'Motosierra : ' + feature.properties
                 .Motosierra + '<br/>' +
                 'Rastillo Escobeta : ' + feature
                 .properties.RastilloEscobeta +
                 '<br/>' +
                 'Tanque Colapsable : ' + feature
                 .properties.TanqueColapsable +
                 '<br/>' +
                 'Antorchas de Goteo : ' + feature
                 .properties.AntorchasGoteo + '<br/>' +
                 'Kit Forestal Raptor : ' + feature
                 .properties.KitForestalRaptor +
                 '<br/>' +
                 'Motoguadaña : ' + feature.properties
                 .Motoguadana + '<br/>' +
                 'Bate Fuego : ' + feature.properties
                 .BateFuego);
             return marker;
         }
     }).addTo(bomberosvol);
 });



 // Recursos para el Combate de Incendios en Parques Provinciales  
 var combateincendio = L.layerGroup();
 $.getJSON("datos/CombateIncendiosParques.geojson", function(data) {
     var IconoCombateIncencios = L.icon({
         iconUrl: 'img/icono-combate-incendios.png',
         iconSize: [30, 30]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoCombateIncencios
             });
             marker.bindPopup('<b>' + feature.properties
                 .Nombre + '</b><br/>' +
                 'Localidad: ' + feature.properties
                 .Localidad + '<br/>' +
                 'Personal Disponible : ' + feature.properties.PersonalDisponible +
                 '<br/>' +
                 'Rozón : ' + feature.properties.Rozon +
                 '<br/>' +
                 'Palas : ' + feature.properties
                 .Pala + '<br/>' +
                 'Rastillo Cegador : ' + feature
                 .properties.RastilloCegador + '<br/>' +
                 'Guachas : ' + feature.properties
                 .Guachas + '<br/>' +
                 'Motobomba : ' + feature.properties
                 .Motobomba + '<br/>' +
                 'Mangas : ' + feature.properties
                 .Mangas + '<br/>' +
                 'Pulaski : ' + feature.properties
                 .Pulaski + '<br/>' +
                 'Traje Forestal : ' + feature
                 .properties.TrajeForestal + '<br/>' +
                 'Overol : ' + feature.properties
                 .Overol + '<br/>' +
                 'MacLeod : ' + feature.properties
                 .MacLeod + '<br/>' +
                 'Lanzas : ' + feature.properties
                 .Lanzas + '<br/>' +
                 'Machete : ' + feature.properties
                 .Machete + '<br/>' +
                 'Hachas : ' + feature.properties
                 .Hachas + '<br/>' +
                 'Azadas : ' + feature.properties
                 .Azadas + '<br/>' +
                 'Motosierra : ' + feature.properties
                 .Motosierra + '<br/>' +
                 'Rastillo Escobeta : ' + feature
                 .properties.RastilloEscobeta +
                 '<br/>' +
                 'Tanque Colapsable : ' + feature
                 .properties.TanqueColapsable +
                 '<br/>' +
                 'Antorchas de Goteo : ' + feature
                 .properties.AntorchasGoteo + '<br/>' +
                 'Kit Forestal Raptor : ' + feature
                 .properties.KitForestalRaptor +
                 '<br/>' +
                 'Motoguadaña : ' + feature.properties
                 .Motoguadana + '<br/>' +
                 'Bate Fuego : ' + feature.properties
                 .BateFuego);
             return marker;
         }
     }).addTo(combateincendio);
 });



// Destacamentos Ecologia
 var ecologia = L.layerGroup();
 $.getJSON("datos/destacamentos_ecologia.geojson", function(data) {
     var IconoDestacamentosEcologia = L.icon({
         iconUrl: 'img/icono-guardaparque.png',
         iconSize: [30, 30]
     });
     L.geoJson(data, {
         pointToLayer: function(feature, latlng) {
             var marker = L.marker(latlng, {
                 icon: IconoDestacamentosEcologia
             });
             marker.bindPopup('<b>' + feature.properties.Nombre + '</b><br/>' );
             return marker;
         }
     }).addTo(ecologia);
 });



// Mapas Base
// ****************

            var mbAttr =
                'Datos del Mapa &copy; Colaboradores de <a href="https://www.openstreetmap.org/">OpenStreetMap</a>, ' +
                '<a href="https://creativecommons.org/licenses/by-sa/4.0/deed.es">CC-BY-SA</a>, ' +
                '<a href="https://gitlab.com/Modernizacion.Misiones/mapa-emergencia">GitLab Proyecto Mapa</a>, ' +
                '<a href="http://www.modernizacion.misiones.gov.ar/">Elaborado por la DMGGE</a>' ;

            var osm = L.tileLayer(
                'http://{s}.tile.osm.org/{z}/{x}/{y}.png', { attribution: mbAttr }),
 
                gris = L.tileLayer(
                    'https://cartodb-basemaps-{s}.global.ssl.fastly.net/light_all/{z}/{x}/{y}.png', { attribution: mbAttr }
                    ),

                opentopomap = L.tileLayer(
                    'https://{s}.tile.opentopomap.org/{z}/{x}/{y}.png', { attribution: mbAttr,
                     minZoom: 0,
                     maxZoom: 21
                         }),

		bosquetopo = L.tileLayer('https://tile.thunderforest.com/outdoors/{z}/{x}/{y}.png?apikey=0687ede401be4ddbbc07ad62ad0171b7', 				{ attribution: mbAttr, minZoom: 0, maxZoom: 18 }),

 
 		esritopo = L.tileLayer('https://server.arcgisonline.com/ArcGIS/rest/services/World_Topo_Map/MapServer/tile/{z}/{y}/{x}',
 			 {attribution: 'Tiles &copy; Esri &mdash; Esri, DeLorme, NAVTEQ, TomTom, Intermap, iPC, USGS, FAO, NPS, NRCAN, GeoBase, Kadaster NL, Ordnance Survey, Esri Japan, METI, Esri China (Hong Kong), and the GIS User Community',
 			minZoom: 0,
                        maxZoom: 21
}),
 
 
                terreno = L.tileLayer(
                    'https://stamen-tiles-{s}.a.ssl.fastly.net/terrain/{z}/{x}/{y}{r}.{ext}', {
                        attribution: 'Map tiles by <a href="http://stamen.com">Stamen Design</a>, <a href="http://creativecommons.org/licenses/by/3.0">CC BY 3.0</a> &mdash; Map data &copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors',
                        subdomains: 'abcd',
                        minZoom: 0,
                        maxZoom: 21,
                        ext: 'png'
                    }),
               
                    
mapbox = L.tileLayer(
    'https://api.mapbox.com/styles/v1/mapbox/satellite-v9/tiles/{z}/{x}/{y}?access_token=' + 'pk.eyJ1IjoiY2FybG9zYnJ5cyIsImEiOiJjaWc1MmVpeGQzazRqdWttNWcyc3c5NDluIn0.vipXcvPEJMFsTLzts8f4GA', {
        tileSize: 512,
        zoomOffset: -1,
        attribution: '© <a href="https://apps.mapbox.com/feedback/">Mapbox</a> © <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>'
    }),
                    

                Esri_DeLorme_layer = L.tileLayer(
                    'https://server.arcgisonline.com/ArcGIS/rest/services/Specialty/DeLorme_World_Base_Map/MapServer/tile/{z}/{y}/{x}', {
                        attribution: 'Tiles &copy; Esri &mdash; Copyright: &copy;2012 DeLorme',
                        minZoom: 1,
                        maxZoom: 19
                    });
           




var OWM_API_KEY = '32a020e350d198b03a3acfbcdd355310';
// Obtenga su clave API aqui: https://openweathermap.org/appid

	    Nubes = L.OWM.cloudsClassic({opacity: 0.5, appId: OWM_API_KEY});

            Lluvia = L.OWM.rainClassic({ opacity: 0.5,appId: OWM_API_KEY });

	    Viento = L.OWM.wind({opacity: 0.5, appId: OWM_API_KEY });
	    		

            var latitud = getUrlVars()["latitud"];
            var longitud = getUrlVars()["longitud"]; 
            var zoom = 8;   
            
// Twitter
var latitud = -26.883;
var longitud = -54.437;
var zoom = 8;
var capa = gris;

var platitud = getUrlVars()["latitud"];
if(typeof platitud != "undefined") {
var latitud = parseFloat(platitud);
var zoom = 13;
var capa = osm;
}            
            
var plongitud = getUrlVars()["longitud"];
if(typeof plongitud != "undefined") {
var longitud = parseFloat(plongitud);
}              


if(typeof platitud != "undefined") {
            var map = L.map('map', {
                center: [latitud, longitud],
                zoom: zoom,
                layers: [capa,IncendiosVIIRS,IncendiosMODIS,reserva,bomberospoli,bomberosvol]
            });

var alfiler = new L.Icon({
  iconUrl: 'img/pin3.png',
  iconSize: [50,50]
});
L.marker([latitud, longitud], {icon: alfiler}).addTo(map);


}else{      
            var map = L.map('map', {
                center: [latitud, longitud],
                zoom: zoom,
                layers: [gris]
            });
}






            // Agrega la capa de visualizacion de las coordenadas 
            // cuando se hace clic en el mapa 
            // ---------------------------
            var c = new L.Control.Coordinates();
            c.addTo(map);

            function onMapClick(e) {
                c.setCoordinates(e);
            }

            map.on('click', onMapClick);
            //--------------------------------



//------------------------------------------------------
    // Capas de superposicón agrupadas

    var MapaBase = {
      "Mapa base gris": gris,
      "OpenStreetMap": osm,
      "Topografía Base": esritopo,      
      "Topografía Terreno": terreno,
      "Topografía+Caminos": opentopomap,
      "Topografía+Ríos": Esri_DeLorme_layer,
      "Topografía+Bosques": bosquetopo,
      "Satelital": mapbox     
      }


    var CapasAgrupadas = {
      "Contexto": {
                "Incendios NASA VIIRS 24h 375m": IncendiosVIIRS,
                "Incendios NASA MODIS 24h 1 Km": IncendiosMODIS,            
                "Nubosidad": Nubes,       
                "Lluvia": Lluvia,  
                "Viento": Viento,
                "Clima de Ciudades": ciudades
      },
      "Recursos": {
//              "Ambulancias": ambulancias,
                "Bomberos de la Policía": bomberospoli,
                "Bomberos Voluntarios": bomberosvol,
                "Destacamentos Ecología": ecologia,
                "Recursos en Reservas Naturales": combateincendio,
                "Policía": policia,
                "Antenas": antena,
                "Progresivas de Rutas": progresiva,
                "Progresivas Río Paraná": progresivaparana,                
                "Hospitales": hospital,
                "CAPS": caps,
                "Ambulancias": ambulancia,
                "Municipalidades": municipalidad,
                "Pistas de Aterrizaje": pista,
                "Teléfonos SOS en ruta": telefono_sos,
                "Hidrantes": hidrante,
                "Cisternas": cisterna,
                "Arroyos (16Mb!)": arroyo,
                "Estanques (13Mb!)": estanque
      },
      "Riesgos": {
                "Zonas Urbanizadas": urbana, 
                "Comunidades Aborígenes": comunidad,
                "Estaciones de Servicio": combustible,
                "Aserraderos": aserradero, 
//                "Pinares": pinos, 
                "Reservas Naturales": reserva,
                "Cañaverales": canaveral,
                "Capueras (31Mb!)": capuera
      }
    };


    // Use the custom grouped layer control, not "L.control.layers"
    L.control.groupedLayers(MapaBase, CapasAgrupadas).addTo(map);


//------------------------------------------------------

// Radar
//******************
var rainviewer = L.control.rainviewer({
  position: 'bottomleft',
  nextButtonText: '>',
  playStopButtonText: 'Iniciar/Parar',
  prevButtonText: '<',
  positionSliderLabelText: "Hora:",
  opacitySliderLabelText: "Opacidad:",
  animationInterval: 500,
  opacity: 0.5
});
rainviewer.addTo(map);


 // Agrega los logotipos 	
 // --------------------
 
            L.Control.Watermark = L.Control.extend({
                onAdd: function(map) {
                    var img = L.DomUtil.create('img');

                    img.src =
                        'img/logo-misiones2.png';
                    img.style.width = '100%';

                    return img;
                },

                onRemove: function(map) {
                    // Nothing to do here
                }
            });

            L.control.watermark = function(opts) {
                return new L.Control.Watermark(opts);
            }

            L.control.watermark({ position: 'topleft' }).addTo(map);
        </script>

    </body>

</html>
